/****************************************************
**
** PICProgrammerHardwareSerial.H
**
****************************************************/

#ifndef PICPROGRAMMERHARDWARESERIALCLASS_H
#define PICPROGRAMMERHARDWARESERIALCLASS_H

//#include "PICProgrammerHardware.H"
#include "PICPH.H"

class PICProgrammerHardwareSerialClass : public PICProgrammerHardwareClass {

public:
	PICProgrammerHardwareSerialClass( int com_port = -1 );
	~PICProgrammerHardwareSerialClass( void );

	virtual int		Found( void );
	virtual char *	Get_Description( void );

protected:
	virtual void	Set_State( int state_bits );
	virtual int		Get_Input( void );

private:
	int Set_COM_Port( int port );
	int	COMPort;

	unsigned short PortRegister;
};

#endif // PICPROGRAMMERHARDWARESERIALCLASS_H
